package dareka.processor.impl;

public class Ht2Entry {

    private long expiredOn;
    private long updatedOn;

    private String key;
    private String videoType;
    private String audioType;
    private boolean isFlash;

    public Ht2Entry(String key, String videoType, String audioType, boolean isFlash) {
        this.updatedOn = System.currentTimeMillis();
        this.expiredOn = this.updatedOn + 60000;
        this.key = key;
        this.videoType = videoType;
        this.audioType = audioType;
        this.isFlash = isFlash;
    }

    public long getExpiredOn() {
        return expiredOn;
    }

    public long getUpdatedOn() {
        return updatedOn;
    }

    public String getKey() {
        return key;
    }

    public String getVideoType() {
        return videoType;
    }

    public String getAudioType() {
        return audioType;
    }

    public boolean isFlash() {
        return isFlash;
    }
    
    
}
